For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Send Quote Email

POST
https://api-b2b.bigcommerce.com/api/v2/rfq/emails
POST
/api/v2/rfq/emails
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/rfq/emails \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "quoteId": 123456,
> "email": "mcurie@greatbuysinc.com"
>}'
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Sends a quote email to the specified email address. The email address in the `email` field must correspond with the buyer's email address on the quote. However, you can use the `ccTo` field to include additional recipients. Equivalent Storefront GraphQL API Query: `quoteEmail`. ### Quote Email Templates The request uses the `emailTemplate` field to format the quote contents with one of the pre-built quote email templates. You must enter the exact name of the template in the field. The following email templates can be used: * `Default with Checkout Button` * `Simple with Pictures` * `Waves with Pictures` * `Database with checkout button` * `Modern with checkout link` * `Modern without checkout link` The selected template applies to the quote PDF if `withAttach` is specified as `true`.
Was this page helpful?
Previous

Get Quote Configs

Next

Get Quote Store Info

Built with

Sends a quote email to the specified email address.

The email address in the email field must correspond with the buyer’s email address on the quote. However, you can use the ccTo field to include additional recipients.

Equivalent Storefront GraphQL API Query: quoteEmail.

Quote Email Templates

The request uses the emailTemplate field to format the quote contents with one of the pre-built quote email templates. You must enter the exact name of the template in the field.

The following email templates can be used:

  • Default with Checkout Button
  • Simple with Pictures
  • Waves with Pictures
  • Database with checkout button
  • Modern with checkout link
  • Modern without checkout link

The selected template applies to the quote PDF if withAttach is specified as true.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Request

This endpoint expects an object.
quoteIdintegerRequired
The internal numeric ID of the sales quote.
emailstringRequiredformat: "email"
The buyer's email address.
ccTolist of stringsOptional
The list of emails to CC.
withAttachbooleanOptional
Indicates whether or not a quote PDF will be included with the email.
emailTemplateenumOptional
The template used to format the quote email.
emailLangenumOptional

The two-letter code for the language of the quote email and PDF, if included.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
messagestringDefaults to SUCCESS
dataobject

Errors

400
Bad Request Error